# Lists of paths for artifacts of various stages.

.cmake_build_artifacts:
    artifacts:
        expire_in: 1d
        paths:
            # The artifacts of the build.
            - build/bin/
            - build/lib/

            # CTest files.
            - build/CTestCustom*.cmake
            # XXX(globbing): Can be simplified with support from
            # https://gitlab.com/gitlab-org/gitlab-runner/issues/4840
            - build/CTestTestfile.cmake
            - build/*/CTestTestfile.cmake
            - build/*/*/CTestTestfile.cmake
            - build/*/*/*/CTestTestfile.cmake
            - build/*/*/*/*/CTestTestfile.cmake
            - build/*/*/*/*/*/CTestTestfile.cmake
            - build/Testing/

            # CTest coverage files.
            - build/CMakeFiles/TargetDirectories.txt
            # XXX(globbing): Can be simplified with support from
            # https://gitlab.com/gitlab-org/gitlab-runner/issues/4840
            - build/*/*/*/*.gcno
            - build/*/*/*/*/*.gcno
            - build/*/*/*/*/*/*.gcno
            - build/*/*/*/*/*/*/*.gcno
            - build/*/*/*/*.cpp
            - build/*/*.h
            - build/*/*/*/*.h
            - build/*/*/*/*/*.h

            # CDash files.
            - build/DartConfiguration.tcl

.cmake_coverage_artifacts:
    artifacts:
        expire_in: 1d
        paths:
            # CTest files.
            - build/CTestCustom*.cmake
            - build/Testing/

            # CTest coverage files.
            - build/CMakeFiles/TargetDirectories.txt
            # XXX(globbing): Can be simplified with support from
            # https://gitlab.com/gitlab-org/gitlab-runner/issues/4840
            - build/*/*/*/*.gcno
            - build/*/*/*/*/*.gcno
            - build/*/*/*/*/*/*.gcno
            - build/*/*/*/*/*/*/*.gcno
            - build/*/*/*/*.gcda
            - build/*/*/*/*/*.gcda
            - build/*/*/*/*/*/*.gcda
            - build/*/*/*/*/*/*/*.gcda
            - build/*/*.cxx
            - build/*/*/*.cxx
            - build/*/*/*.cpp
            - build/*/*/*/*.cpp
            - build/*/*/*/*/*.cpp
            - build/*/*.h
            - build/*/*/*.h
            - build/*/*/*/*.h
            - build/*/*/*/*/*.h

            # CDash files.
            - build/DartConfiguration.tcl
